public class Section018 {
	public static void main(String[] args) {
		int k, i, j, m;
		int a[] = new int[99];
		k = 1;
		do
		{
			k++;
			a[k - 2] = k;
		} while (k < 100);
		i = -1;
		j = 0;
		while (true)
		{
			i++;
			if (i > 98)
			{
				System.out.printf("%d", j);
				break;
			}
			if (a[i] == 0)
				continue;
			j++;
			m = i;
			while (true)
			{
				m += a[i];
				if (m > 99)
					break;
				a[m] = 0;
			}
		}
	}
}
